import { HttpClient } from '@angular/common/http';
import { Component, OnInit, ViewChild } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { Table } from 'primeng/table';
import { BehaviorSubject, Observable } from 'rxjs';
import { tap } from 'rxjs/operators';
import { AppBreadcrumbService } from 'src/app/app.breadcrumb.service';
import { Candidate } from 'src/app/shared/models/candidate';
import { CandidateService } from 'src/app/shared/services/candidate.service';
import { candidatListService } from './candidat-list.service';

@Component({
  selector: 'app-candidat-list',
  templateUrl: './candidat-list.component.html',
  styleUrls: ['./candidat-list.component.scss']
})
export class CandidatListComponent implements OnInit {

    candidates: Observable<Candidate[]>;
    candidate: Candidate;
    constructor(private breadcrumbService: AppBreadcrumbService,private http: HttpClient, private candidatListService: candidatListService, private route: ActivatedRoute,private router: Router, private candidatService: CandidateService) {
      this.breadcrumbService.setItems([
        { label: 'Candidats' },
        { label: 'List', routerLink: ['/candidat/candidat-list'] }
      ]);
  }

  ngOnInit() {
    this.route.data.subscribe((data: { candidats: Observable<Candidate[]> }) => this.candidates = data.candidats);
    this.candidates = this.candidatListService.getCandidats();
  }
  showDetail(candidateId: string){
    var myurl = `${"/candidat/candidat-detail"}/${candidateId}`;
    this.router.navigateByUrl(myurl);
    
  }
  showNew(){
    this.router.navigateByUrl("/candidat/candidat-sidebar");  
  }

  search(){
    this.candidates = this.candidatService.search("","","");
  }
}
